package mandelbrot;

import javax.swing.JFrame;

/**
 * The applications one and only frame, which contains the display for the image
 * of the Mandelbrot set.
 * 
 * @author ahoefer
 * 
 */
public class MainFrame extends JFrame {

	private static final long serialVersionUID = -1862387101261911765L;

	/**
	 * Creates a new main frame.
	 * 
	 * @param mandelbrot
	 *            the Mandelbrot algorithm
	 * @param colorMap
	 *            the color map used to color the image of the Mandelbrot set
	 */
	public MainFrame(AbstractMandelbrot mandelbrot, ColorMap colorMap) {
		setTitle("Mandelbrot");
		setIconImage(IconUtil.getSmallImage("kit"));
		setDefaultCloseOperation(EXIT_ON_CLOSE);
		setContentPane(new Display(mandelbrot, colorMap));
		setResizable(false);
		pack();
		setLocationRelativeTo(null);
	}
}
